inputs@{ machine, ... }:
{
  imports = machine.program {
    name = "git";
    inherit inputs;
    requirements = [ "cli" ];
    home-config = _: {
      programs.git = {
        enable = true;
        signing.key = "/home/jana/.ssh/id_ed25519.pub";
        signing.signByDefault = true;

        settings = {
          user.email = "jana@donsz.nl";
          user.name = "Jana Dönszelmann";

          push.autoSetupRemote = true;
          pull.rebase = true;
          init.defaultBranch = "main";
          gpg.format = "ssh";
          diff.colorMoved = "default";
          rerere.enabled = true;

          alias.conflicts = "diff --check";
        };

      };

      programs.delta = {
        enable = true;
        options = {
          navigate = true;
          light = false;
          side-by-side = true;
          features = "decorations interactive";
          interactive = {
            keep-plus-minus-markers = false;
          };
        };
        enableGitIntegration = true;
      };
    };
  };
}
